import request from '@/utils/request'

// 查询名师认证列表
export function listTbTeacherAuthentication(query) {
  return request({
    url: '/hezhi/tbTeacherAuthentication/list',
    method: 'get',
    params: query
  })
}

// 查询名师认证详细
export function getTbTeacherAuthentication(teacherAuthenticationId) {
  return request({
    url: '/hezhi/tbTeacherAuthentication/' + teacherAuthenticationId,
    method: 'get'
  })
}

// 新增名师认证
export function addTbTeacherAuthentication(data) {
  return request({
    url: '/hezhi/tbTeacherAuthentication',
    method: 'post',
    data: data
  })
}

// 修改名师认证
export function updateTbTeacherAuthentication(data) {
  return request({
    url: '/hezhi/tbTeacherAuthentication',
    method: 'put',
    data: data
  })
}

// 删除名师认证
export function delTbTeacherAuthentication(teacherAuthenticationId) {
  return request({
    url: '/hezhi/tbTeacherAuthentication/' + teacherAuthenticationId,
    method: 'delete'
  })
}
